Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Active_Hint_Strategy Class Reference

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Active_Hint_Strategy:

[legend]
Collaboration diagram for TAO_Active_Hint_Strategy:

[legend]
List of all members.

## Public Types
typedef ACE_Active_Map_Manager_Adapter< PortableServer::ObjectId, TAO_Active_Object_Map::Map_Entry *, TAO_Preserve_Original_Key_Adapter > | system_id_map
## Public Methods
| TAO_Active_Hint_Strategy (CORBA::ULong map_size)
virtual | ~TAO_Active_Hint_Strategy (void)
virtual int | recover_key (const PortableServer::ObjectId &system_id, PortableServer::ObjectId &user_id)
virtual int | bind (TAO_Active_Object_Map::Map_Entry &entry)
virtual int | unbind (TAO_Active_Object_Map::Map_Entry &entry)
virtual int | find (const PortableServer::ObjectId &system_id, TAO_Active_Object_Map::Map_Entry *&entry)
virtual size_t | hint_size (void)
virtual int | system_id (PortableServer::ObjectId_out system_id, TAO_Active_Object_Map::Map_Entry &entry)
## Public Attributes
system_id_map | system_id_map_

## Member Typedef Documentation

typedef ACE_Active_Map_Manager_Adapter< PortableServer::ObjectId, TAO_Active_Object_Map::Map_Entry *, TAO_Preserve_Original_Key_Adapter> TAO_Active_Hint_Strategy::system_id_map

## Constructor & Destructor Documentation

TAO_Active_Hint_Strategy::TAO_Active_Hint_Strategy | ( | CORBA::ULong | map_size | ) |

TAO_Active_Hint_Strategy::~TAO_Active_Hint_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_Active_Hint_Strategy::bind | ( | TAO_Active_Object_Map::Map_Entry & | entry | ) | `[virtual]`

| Reimplemented from TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::find | ( | const PortableServer::ObjectId & | system_id,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[virtual]`

| Reimplemented from TAO_Id_Hint_Strategy.

size_t TAO_Active_Hint_Strategy::hint_size | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::recover_key | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::ObjectId & | user_id
| ) | `[virtual]`

| Reimplemented from TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::system_id | ( | PortableServer::ObjectId_out | system_id,
|  | TAO_Active_Object_Map::Map_Entry & | entry
| ) | `[virtual]`

| Reimplemented from TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::unbind | ( | TAO_Active_Object_Map::Map_Entry & | entry | ) | `[virtual]`

| Reimplemented from TAO_Id_Hint_Strategy.

## Member Data Documentation

system_id_map TAO_Active_Hint_Strategy::system_id_map_

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp